KParts::PartActivateEvent Class Reference

`#include <event.h>`

Inheritance diagram for KParts::PartActivateEvent:

## Public Member Functions

| PartActivateEvent (bool activated, Part *part, QWidget *widget)
bool | activated () const
Part * | part () const
QWidget * | widget () const
Public Member Functions inherited from KParts::Event
| Event (const char *eventName)
virtual const char * | eventName () const

## Static Public Member Functions

static bool | test (const QEvent *event)
Static Public Member Functions inherited from KParts::Event
static bool | test (const QEvent *event)
static bool | test (const QEvent *event, const char *name)

## Detailed Description

This event is sent by the part manager when the active part changes.

Each time the active part changes, it will send first a PartActivateEvent with activated=false, part=oldActivePart, widget=oldActiveWidget and then another PartActivateEvent with activated=true, part=newPart, widget=newWidget.

See also
  KParts::Part::partActivateEvent

Definition at line 76 of file event.h.

The documentation for this class was generated from the following files:

- event.h
- event.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys